Package dom_network.xpt : Port Bug 677166 (Implement Network Status API) Part 2 Add .mozConnection to navigator

VERIFIED FIXED in seamonkey2.9

Status

SeaMonkey
Build Config
P2
normal
VERIFIED FIXED
6 years ago
6 years ago

People

(Reporter: Philip Chee, Assigned: sgautherie)

Tracking

(Blocks: 1 bug)

Trunk
seamonkey2.9
Dependency tree / graph
Bug Flags:
in-testsuite -

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

6 years ago
Part 2 - Add .mozConnection to navigator.
https://hg.mozilla.org/mozilla-central/rev/e1cf27289600
(Assignee)

Updated

6 years ago
Assignee: nobody → sgautherie.bz
Status: NEW → ASSIGNED
Flags: in-testsuite-
Priority: -- → P2
Target Milestone: --- → seamonkey2.9
(Assignee)

Comment 1

6 years ago
Created attachment 589774 [details] [diff] [review]
(Av1) Package dom_network.xpt
[Checked in: Comment 3]
Attachment #589774 - Flags: review?(bugspam.Callek)
(Assignee)

Comment 2

6 years ago
ping for review.

Updated

6 years ago
Attachment #589774 - Flags: review?(bugspam.Callek) → review+
(Assignee)

Comment 3

6 years ago
Comment on attachment 589774 [details] [diff] [review]
(Av1) Package dom_network.xpt
[Checked in: Comment 3]

http://hg.mozilla.org/comm-central/rev/3b8bc1264075
Attachment #589774 - Attachment description: (Av1) Package dom_network.xpt → (Av1) Package dom_network.xpt [Checked in: Comment 3]
(Assignee)

Updated

6 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 6 years ago
Depends on: 677166
Resolution: --- → FIXED
(Assignee)

Comment 4

6 years ago
This should fix:

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1327549225.1327554563.14331.gz
Linux comm-central-trunk debug test mochitests-2/5 on 2012/01/25 19:40:25
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1327586302.1327590386.6342.gz
WINNT 5.2 comm-central-trunk debug test mochitests-2/5 on 2012/01/26 05:58:22
{
8797 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/network/tests/test_network_basics.html | navigator.mozConnection should exist
8798 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/network/tests/test_network_basics.html | navigator.mozConnection returns an object
8799 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/network/tests/test_network_basics.html | an unexpected uncaught JS exception reported through window.onerror - uncaught exception: [Exception... "Failure"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: http://mochi.test:8888/tests/dom/network/tests/test_network_basics.html :: <TOP_LEVEL> :: line 26"  data: no] at :0
}
Blocks: 452942
(Assignee)

Comment 5

6 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1327651843.1327655916.18951.gz
WINNT 5.2 comm-central-trunk debug test mochitests-2/5 on 2012/01/27 00:10:43

V.Fixed
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.